# Navigating Curriculum on Learn

## Overview

At this point, you've already created a Learn account, set up your local development environment, and confirmed that your dev environment can talk to Learn. Great!

Now, you're here in Learn and ready to start learning.

Before you start, let's just get a little more familiar with how Learn works. In the handful of lessons that follow, we'll walk you through a few things:

1. How content is organized on Learn
2. How to use your Terminal
3. The standard Learn workflow

Let's start by talking about the different parts of the curriculum on Learn.

## All About Lessons

The individual pieces of curriculum on Learn are called "lessons."

### Tracks and Navigation

A "track" is composed of many lessons, often organized into topics.

Click on the track name above to pop open Track Navigation, which allows you to view topics and units and move between lessons. 

![Click for Navigation dropdown](https://curriculum-content.s3.amazonaws.com/intro-to-learn/navigating_curriculum.png)

![View Navigation dropdown](https://curriculum-content.s3.amazonaws.com/intro-to-learn/navigating_curriculum_2.png)

You must complete a lesson before you advance to the next one.

Lessons you've completed will be filled in with a green circle and your current lesson will be orange.

### Lesson Types

There are two types of lessons on Learn: READMEs and Labs.

#### Labs

Labs are lessons with a coding challenge you must complete. A lab will require you to write code and submit a solution.

All labs include a README that you will see on Learn. The lab README will describe the objectives, overview, and instructions for the code you must write. You should definitely read the lab README. If you're confused at any point, go back to the README.

In the following lessons, we're going to show you how to use `git` and GitHub to work on a lab and how to automate everything by using our `learn` CLI.

You'll know if a lesson on Learn is a lab by the actions the right column asks you to take. Labs will display the following in the right:

![Lab](https://curriculum-content.s3.amazonaws.com/intro-to-learn/right_rail_lab.png)

#### READMEs

READMEs are lessons that only have instructional content. They are designed to teach you something without challenging you to practice or implement the concept directly. This current lesson you are reading is a README.

READMEs provide context and exposition on a topic by breaking concepts down. READMEs are how you learn enough to solve a lab.

As you can probably tell already, Learn is a big fan of the written word. Some READMEs have videos, but our expectation is that you also do the reading. The video augments the content, it does not replace it.

You're going to have to do a lot of reading on Learn. We know other platforms make heavy use of 3-6 minute videos and we're going to continue to experiment with that medium, but for now, the majority of the content on Learn is text. We believe that with all the details and syntax involved in code, and since being a professional programmer is basically reading and writing text all day, the best way to learn to code is through reading and writing code, not watching videos.

Some READMEs also contain brief interactive elements such as quizzes or little in-browser coding challenges.

Once you've completed a README, you should click the "I'm Done" button on the right. The "Next Lesson" button will light up, allowing you to proceed.

![Readme not done](https://curriculum-content.s3.amazonaws.com/intro-to-learn/right_rail_readme_not_done.png)

![Readme done](https://curriculum-content.s3.amazonaws.com/intro-to-learn/right_rail_readme_done.png)

## Go!

Seeing as this lesson is a README, you're now done and ready to go to the next lesson. Click the "I'm Done" button and proceed to the next lesson.

Happy Learning!

<a href='https://learn.co/lessons/navigating-curriculum-on-learn' data-visibility='hidden'>View this lesson on Learn.co</a>
